version: "3.9"

services:
  postgres:
    image: postgres:16
    container_name: mybeststore-medusa-postgres
    restart: unless-stopped
    environment:
      POSTGRES_DB: medusa_db
      POSTGRES_USER: medusa
      POSTGRES_PASSWORD: medusa
    ports:
      - "5433:5432"
    volumes:
      - medusa_pg_data:/var/lib/postgresql/data

  redis:
    image: redis:7
    container_name: mybeststore-medusa-redis
    restart: unless-stopped
    ports:
      - "6380:6379"
    volumes:
      - medusa_redis_data:/data

volumes:
  medusa_pg_data:
  medusa_redis_data:
